/*
 * includes.h
 *
 *  Created on: 2019. 7. 28.
 *      Author: parkyj
 */

#ifndef INCLUDES_H_
#define INCLUDES_H_
#include "main.h"
#if 0 // PYJ.2019.07.28_BEGIN -- 
typedef enum{
    TYPE_PATH_EN_1_8G_DL  = 0 , 
    TYPE_PATH_EN_1_8G_UL  ,
    TYPE_PATH_EN_2_1G_DL  ,
    TYPE_PATH_EN_2_1G_UL  ,
    TYPE_PATH_EN_3_5G_L   ,
    TYPE_PATH_EN_3_5G_H   ,
    TYPE_PATH_EN_3_5G_DL  ,
    TYPE_PATH_EN_3_5G_UL  ,
    TYPE_PLL_ON_OFF_3_5G_L,
    TYPE_PLL_ON_OFF_3_5G_H,
}Bluecell_Power_Index;
#endif // PYJ.2019.07.28_END -- 
typedef enum{
  DL_1_8 = 0,
  UL_1_8,
  DL_2_1,
  UL_2_1,
}PLL_Error;

void Power_ON_OFF_Ctrl(uint8_t type,uint8_t cmd);
void Path_Init(void);
void ATTEN_PLL_PATH_Initialize(void);
char *Bluecell_Prot_IndexStr[];

void Error_Message_Occur(PLL_Error mode);
void Pol_Delay_us(volatile uint32_t microseconds);
void Boot_LED_Toggle(void);
void ADC_Check(void);
void Uart_Check(void);


#endif /* INCLUDES_H_ */
